Skip to main content
GET
Get a release

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

releaseId
string<uuid>
required

Release unique identifier

Query Parameters

previousReleaseId
string<uuid>

Previous release ID for computing file diffs

Response

200 - application/json

Release details with files

Release details with files

id
string<uuid>
required

Release unique identifier

createdAt
string
required

Release creation timestamp

projectId
string<uuid>
required

Project ID the release belongs to

deletedAt
string | null

Release deletion timestamp

name
string | null

Release name

description
string | null

Release description

version
number | null

Legacy numeric version

semanticVersion
string | null

Semantic version (e.g., 1.0.0)

status
enum<string>

Release status

Available options:
draft,
published,
completed
createdById
string<uuid> | null

ID of the user who created the release

commitId
string<uuid> | null

Associated commit ID

meta
object | null

Release storage metadata

files
object[]

List of files in the release

createdBy
object | null

User who created the release

changeRequests
object[]

Pending change requests